import { workspaces } from '@angular-devkit/core';
import { Tree } from '@angular-devkit/schematics';
import * as ts from 'typescript';
/** Gets the ts source file from a path */
export declare function getSourceFile(host: Tree, path: string): ts.SourceFile;
/** Get the version of a package name */
export declare function getPackageVersionFromPackageJson(tree: Tree, name: string): string | null;
/** Check if a package exists in the package.json */
export declare function hasPackage(tree: Tree, name: string): boolean | null;
/** Check if a package exists in the package.json */
export declare function hasDevPackage(tree: Tree, name: string): boolean | null;
/** Returns the source path for the application */
export declare function getSourceTreePath(host: Tree, options: any): Promise<string>;
/** Returns the dist path for the application */
export declare function getDistPath(host: Tree, options: any): Promise<string>;
/** factory function to create a workspaces.WorkspaceHost from a Tree */
export declare function createHost(tree: Tree): workspaces.WorkspaceHost;
/** Returns the workspace project for the application */
export declare function getWorkspaceProject(host: Tree, options: any): Promise<workspaces.ProjectDefinition>;
